[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: unblock request for vzctl



On Sat, Sep 11, 2010 at 22:22:09 +0200, Ola Lundqvist wrote:

> vzctl (3.0.24-5) unstable; urgency=medium
> 
--- vzctl-3.0.24/debian/vzctl.preinst
+++ vzctl-3.0.24/debian/vzctl.preinst
@@ -19,12 +19,22 @@
     install)
     ;;
     upgrade)
+        # Upgrade path, vz cron file no longer needed as vzeventd exist
+       # instead.
+       # From lenny
+        if [ -e /etc/cron.d/vz ] ; then
+           rm -f /etc/cron.d/vz
+       fi
+       # From etch
+       if [ -e /etc/vz/cron/vz ] ; then
+           rm -f /etc/vz/cron/vz
+       fi
         # Upgrade path for (etch version) cron files.
         if [ -e /etc/cron.d/vpsnetclean ] ; then
-           mv /etc/cron.d/vpsnetclean /etc/cron.d/vpsnetclean,disabled
+           rm -f /etc/cron.d/vpsnetclean
        fi
         if [ -e /etc/cron.d/vpsreboot ] ; then
-           mv /etc/cron.d/vpsreboot /etc/cron.d/vpsreboot,disabled
+           rm -f /etc/cron.d/vpsreboot
        fi
     ;;
 

Removing possibly modified configuration files is a severe policy
violation.

diff -u vzctl-3.0.24/debian/vzctl.postinst vzctl-3.0.24/debian/vzctl.postinst
--- vzctl-3.0.24/debian/vzctl.postinst
+++ vzctl-3.0.24/debian/vzctl.postinst
@@ -52,6 +41,25 @@
                    rm $NAMECFG
                fi
            done
+        fi
+       # This is not an upgrade, check if we should start it as well.
+       if [ -d /proc/vz ] ; then
+           if [ -x /usr/sbin/invoke-rc.d ] ; then
+               invoke-rc.d vz start || true
+           else
+               /etc/init.d/vz start || true
+           fi
+       else
+           echo "The kernel do not support openvz, do not start vz."
+       fi
+       if [ -e /sys/module/vzevent/parameters/reboot_event ] ; then
+           if [ -x /usr/sbin/invoke-rc.d ] ; then
+               invoke-rc.d vzeventd start || true
+           else
+               /etc/init.d/vzeventd start || true
+           fi
+       else
+           echo "The kernel do not support vzevent, do not start vzeventd."
        fi
     ;;
 

Why are you ignoring errors from the init script?

It looks like you've done the autotools run with older versions
(automake 1.10 instead of 1.11)?  That makes the diff quite a bit larger
than it would otherwise be.

Why does src/vzctl-actions.c now ignore malloc() failure?

The upstart fix doesn't seem necessary, although probably harmless..

Cheers,
Julien

Attachment: signature.asc
Description: Digital signature


Reply to: